
set echo on

CREATE SEQUENCE s;

DECLARE
   n PLS_INTEGER;
BEGIN
   n := s.NEXTVAL;
   DBMS_OUTPUT.PUT_LINE('Nextval=' || TO_CHAR(n));
END;
/

DECLARE
   n PLS_INTEGER := s.NEXTVAL;
BEGIN
   DBMS_OUTPUT.PUT_LINE('Nextval=' || TO_CHAR(n));
END;
/

BEGIN
   DBMS_OUTPUT.PUT_LINE('Nextval=' || TO_CHAR(s.NEXTVAL));
END;
/

BEGIN
   IF s.NEXTVAL > 3 THEN
      DBMS_OUTPUT.PUT_LINE('Currval=' || TO_CHAR(s.CURRVAL));
   END IF;
END;
/

ALTER SESSION SET SQL_TRACE = TRUE;

DECLARE
   n PLS_INTEGER;
BEGIN
   FOR i IN 1 .. 10000 LOOP
      n := s.NEXTVAL;
   END LOOP;
   FOR i IN 1 .. 10000 LOOP
      SELECT s.NEXTVAL AS nval INTO n FROM dual;
   END LOOP;
END;
/

ALTER SESSION SET SQL_TRACE = FALSE;

