
set echo on
set serveroutput on format wrapped

BEGIN
   FOR i IN 1 .. 5 LOOP
      IF i IN (2,4) THEN
         CONTINUE;
      END IF;
      DBMS_OUTPUT.PUT_LINE('Reached on line ' || TO_CHAR(i));
   END LOOP;
END;
/

BEGIN
   FOR i IN 1 .. 5 LOOP
      CONTINUE WHEN i IN (2,4);
      DBMS_OUTPUT.PUT_LINE('Reached on line ' || TO_CHAR(i));
   END LOOP;
END;
/

BEGIN
   <<main_loop>>
   FOR i IN 1 .. 5 LOOP
      CONTINUE main_loop WHEN i IN (2,4);
      DBMS_OUTPUT.PUT_LINE('Reached on line ' || TO_CHAR(i));
   END LOOP;
END;
/


BEGIN
   <<main_loop>>
   FOR i IN 1 .. 5 LOOP

      DBMS_OUTPUT.PUT_LINE('Starting main_loop ' || i || '...');

      <<inner_loop>>
      FOR ii IN 1 .. 5 LOOP

         CONTINUE main_loop WHEN i IN (2,4);

         CONTINUE inner_loop WHEN ii NOT IN (1,2,3);

         DBMS_OUTPUT.PUT_LINE('   Inner loop ' || i || '.' || ii);

      END LOOP;

   END LOOP;
END;
/

